Package uk.ac.starlink.ecsv

## Interface YamlParser

- All Known Implementing Classes:
    `SnakeYamlParser`

      public interface YamlParser

  Defines an object that can extract ECSV header information from YAML.
  Since:
    28 Apr 2020
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EcsvMeta` | `parseMeta​(java.lang.String[] lines)` | Extracts ECSV header information from lines of YAML.

- - ### Method Detail

    - #### parseMeta

          EcsvMeta parseMeta​(java.lang.String[] lines)
                      throws EcsvFormatException

      Extracts ECSV header information from lines of YAML.
      Parameters:
        `lines` - lines of YAML
      Returns:
        ECSV metadata structure
      Throws:
        `EcsvFormatException`